Name:		dotconf
Version:	1.0.13
Release:	1
Summary:	Libraries to parse configuration files

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://www.azzit.de/dotconf/
Source0:	http://www.azzit.de/dotconf/download/v1.0/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
Patch1:		%{name}-%{version}-m4-underquote.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
 
%description
Dotconf is a library used to handle configuration files.


%package        devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires: 	pkg-config
Requires:	automake

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0
%patch1 -p1


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"

# first build the 64-bit version
export CC="cc -q64"
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp ./src/.libs/libdotconf-1.0.so.0 .
make distclean

# now build the 32-bit version
export CC="cc"
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./src/.libs/libdotconf.a ./libdotconf-1.0.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README AUTHORS COPYING NEWS ChangeLog 
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc doc/*
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
/usr/bin/%{name}-config
/usr/include/*
/usr/lib/*.la


%changelog
* Tue Sep 15 2009 Michael Perzl <michael@perzl.org> - 1.0.13-1
- first version for AIX5L v5.1 and higher
